<div class="container">
  <div class="row">
    <div class="col-sm-10 offset-sm-1 col-md-6 offset-md-3 col-lg-4 offset-lg-4">
      <div class="login-panel panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">Login</h3>
        </div>
        <div class="panel-body">
          <form #loginForm="ngForm" (ngSubmit)="login(credentials)">
            <div class="form-group">
              <input [(ngModel)]="credentials.username" class="form-control" placeholder="Login" type="text"
                     id="username" name="username" required>
            </div>
            <div class="form-group">
              <input [(ngModel)]="credentials.password" class="form-control" placeholder="Password" type="password"
                     id="password" name="password" required>
            </div>
            <button [disabled]="!loginForm.form.valid" type="submit" class="btn btn-lg btn-info btn-general btn-block">
              Login
            </button>
          </form>
          <label></label>
          <button class="btn btn-lg btn-success btn-block">Register
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
